searchData={"items":[{"type":"module","title":"Supabase.GoTrue","doc":"This module provides the functionality to interact with the GoTrue API,\nallowing management of users, sessions, and authentication.\n\nIt also aims to provide integrations with Plug and Phoenix LiveView applications.\n\nFor detailed information about the GoTrue API, check the official documentation at https://supabase.io/docs/reference/javascript/auth-api\n\nAnd also refer to functions and submodules documentation for more information.","ref":"Supabase.GoTrue.html"},{"type":"function","title":"Supabase.GoTrue.get_auth_module!/0","doc":"Retrieves the auth module handle from the application configuration.\nCheck https://hexdocs.pm/supabase_gotrue/readme.html#usage","ref":"Supabase.GoTrue.html#get_auth_module!/0"},{"type":"function","title":"Supabase.GoTrue.get_user/2","doc":"Get the user associated with the current session.","ref":"Supabase.GoTrue.html#get_user/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.get_user/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `session` - The session to use for the request. Check `Supabase.GoTrue.Session` for more information.","ref":"Supabase.GoTrue.html#get_user/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.get_user/2","doc":"iex> session = %Supabase.GoTrue.Session{access_token: \"example_token\"}\n    iex> Supabase.GoTrue.get_user(pid | client_name, session)\n    {:ok, %Supabase.GoTrue.User{}}","ref":"Supabase.GoTrue.html#get_user/2-examples"},{"type":"function","title":"Supabase.GoTrue.resend/3","doc":"Resends a signuo confirm email for the given email address.","ref":"Supabase.GoTrue.html#resend/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.resend/3","doc":"- `client` - The `Supabase` client to use for the request.\n  - `email` - A valid user email address to recover password\n  - `opts`:\n    - `redirect_to`: the url where the user should be redirected to reset their password\n    - `captcha_token`","ref":"Supabase.GoTrue.html#resend/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.resend/3","doc":"iex> Supabase.GoTrue.resend(client, \"john@example.com\", redirect_to: \"http://localohst:4000/reset-pass\")\n  :ok","ref":"Supabase.GoTrue.html#resend/3-examples"},{"type":"function","title":"Supabase.GoTrue.reset_password_for_email/3","doc":"Sends a recovery password email for the given email address.","ref":"Supabase.GoTrue.html#reset_password_for_email/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.reset_password_for_email/3","doc":"- `client` - The `Supabase` client to use for the request.\n  - `email` - A valid user email address to recover password\n  - `opts`:\n    - `redirect_to`: the url where the user should be redirected to reset their password\n    - `captcha_token`","ref":"Supabase.GoTrue.html#reset_password_for_email/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.reset_password_for_email/3","doc":"iex> Supabase.GoTrue.reset_password_for_email(client, \"john@example.com\", redirect_to: \"http://localohst:4000/reset-pass\")\n  :ok","ref":"Supabase.GoTrue.html#reset_password_for_email/3-examples"},{"type":"function","title":"Supabase.GoTrue.sign_in_with_id_token/2","doc":"Signs in a user with ID token.","ref":"Supabase.GoTrue.html#sign_in_with_id_token/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_in_with_id_token/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign in. Check `Supabase.GoTrue.Schemas.SignInWithIdToken` for more information.","ref":"Supabase.GoTrue.html#sign_in_with_id_token/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_in_with_id_token/2","doc":"iex> credentials = %Supabase.GoTrue.SignInWithIdToken{}\n    iex> Supabase.GoTrue.sign_in_with_id_token(pid | client_name, credentials)\n    {:ok, %Supabase.GoTrue.User{}}","ref":"Supabase.GoTrue.html#sign_in_with_id_token/2-examples"},{"type":"function","title":"Supabase.GoTrue.sign_in_with_oauth/2","doc":"Signs in a user with OAuth.","ref":"Supabase.GoTrue.html#sign_in_with_oauth/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_in_with_oauth/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign in. Check `Supabase.GoTrue.Schemas.SignInWithOauth` for more information.","ref":"Supabase.GoTrue.html#sign_in_with_oauth/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_in_with_oauth/2","doc":"iex> credentials = %Supabase.GoTrue.SignInWithOauth{}\n    iex> Supabase.GoTrue.sign_in_with_oauth(pid | client_name, credentials)\n    {:ok, atom, URI.t()}","ref":"Supabase.GoTrue.html#sign_in_with_oauth/2-examples"},{"type":"function","title":"Supabase.GoTrue.sign_in_with_otp/2","doc":"Signs in a user with OTP.","ref":"Supabase.GoTrue.html#sign_in_with_otp/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_in_with_otp/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign in. Check `Supabase.GoTrue.Schemas.SignInWithOTP` for more information.","ref":"Supabase.GoTrue.html#sign_in_with_otp/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_in_with_otp/2","doc":"iex> credentials = %Supabase.GoTrue.SignInWithOTP{}\n    iex> Supabase.GoTrue.sign_in_with_otp(pid | client_name, credentials)\n    {:ok, %Supabase.GoTrue.Session{}}","ref":"Supabase.GoTrue.html#sign_in_with_otp/2-examples"},{"type":"function","title":"Supabase.GoTrue.sign_in_with_password/2","doc":"Signs in a user with email/phone and password.","ref":"Supabase.GoTrue.html#sign_in_with_password/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_in_with_password/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign in. Check `Supabase.GoTrue.Schemas.SignInWithPassword` for more information.","ref":"Supabase.GoTrue.html#sign_in_with_password/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_in_with_password/2","doc":"iex> credentials = %Supabase.GoTrue.SignInWithPassword{}\n    iex> Supabase.GoTrue.sign_in_with_password(pid | client_name, credentials)\n    {:ok, %Supabase.GoTrue.Session{}}","ref":"Supabase.GoTrue.html#sign_in_with_password/2-examples"},{"type":"function","title":"Supabase.GoTrue.sign_in_with_sso/2","doc":"Signs in a user with SSO.","ref":"Supabase.GoTrue.html#sign_in_with_sso/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_in_with_sso/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign in. Check `Supabase.GoTrue.Schemas.SignInWithSSO` for more information.","ref":"Supabase.GoTrue.html#sign_in_with_sso/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_in_with_sso/2","doc":"iex> credentials = %Supabase.GoTrue.SignInWithSSO{}\n    iex> Supabase.GoTrue.sign_in_with_sso(pid | client_name, credentials)\n    {:ok, %Supabase.GoTrue.User{}}","ref":"Supabase.GoTrue.html#sign_in_with_sso/2-examples"},{"type":"function","title":"Supabase.GoTrue.sign_up/2","doc":"Signs up a user with email/phone and password.","ref":"Supabase.GoTrue.html#sign_up/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.sign_up/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `credentials` - The credentials to use for the sign up. Check `Supabase.GoTrue.Schemas.SignUpWithPassword` for more information.","ref":"Supabase.GoTrue.html#sign_up/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.sign_up/2","doc":"iex> credentials = %Supabase.GoTrue.SignUpWithPassword{}\n    iex> Supabase.GoTrue.sign_up(pid | client_name, credentials)\n    {:ok, %Supabase.GoTrue.User{}}","ref":"Supabase.GoTrue.html#sign_up/2-examples"},{"type":"function","title":"Supabase.GoTrue.update_user/3","doc":"Updates the current logged in user.","ref":"Supabase.GoTrue.html#update_user/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.update_user/3","doc":"- `client` - The `Supabase` client to use for the request.\n  - `conn` - The current `Plug.Conn` or `Phoenix.LiveView.Socket` to get current user\n  - `attrs` - Check `UserParams`","ref":"Supabase.GoTrue.html#update_user/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.update_user/3","doc":"iex> params = %{email: \"another@example.com\", password: \"new-pass\"}\n  iex> Supabase.GoTrue.update_user(client, conn, params)\n  {:ok, conn}","ref":"Supabase.GoTrue.html#update_user/3-examples"},{"type":"function","title":"Supabase.GoTrue.verify_otp/2","doc":"Verifies an OTP code.","ref":"Supabase.GoTrue.html#verify_otp/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.verify_otp/2","doc":"- `client` - The `Supabase` client to use for the request.\n  - `params` - The parameters to use for the verification. Check `Supabase.GoTrue.Schemas.VerifyOTP` for more information.","ref":"Supabase.GoTrue.html#verify_otp/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.verify_otp/2","doc":"iex> params = %Supabase.GoTrue.VerifyOTP{}\n    iex> Supabase.GoTrue.verify_otp(pid | client_name, params)\n    {:ok, %Supabase.GoTrue.Session{}}","ref":"Supabase.GoTrue.html#verify_otp/2-examples"},{"type":"module","title":"Supabase.GoTrue.Admin","doc":"Admin module for GoTrue. This module provides functions to interact with the GoTrue admin API,\nlike signing out a user, inviting a user, and generating a link.\n\nYou can find more information about the GoTrue admin API at https://supabase.io/docs/reference/javascript/auth-admin-api","ref":"Supabase.GoTrue.Admin.html"},{"type":"function","title":"Supabase.GoTrue.Admin.create_user/2","doc":"Creates a user in the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#create_user/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.create_user/2","doc":"* `client` - The `Supabase` client to use for the request.\n  * `attrs` - The attributes to use for the user. See `Supabase.GoTrue.Schemas.AdminUserParams` for more information.","ref":"Supabase.GoTrue.Admin.html#create_user/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.create_user/2","doc":"iex> Supabase.GoTrue.Admin.create_user(pid | client_name, %{})","ref":"Supabase.GoTrue.Admin.html#create_user/2-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.delete_user/3","doc":"Deletes a user in the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#delete_user/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.delete_user/3","doc":"* `client` - The `Supabase` client to use for the request.\n  * `user_id` - The ID of the user to delete.\n  * `opts` - Controls if the user should be soft deleted or not.","ref":"Supabase.GoTrue.Admin.html#delete_user/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.delete_user/3","doc":"iex> Supabase.GoTrue.Admin.update_user(pid | client_name, \"user_id\", %{})","ref":"Supabase.GoTrue.Admin.html#delete_user/3-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.generate_link/2","doc":"Generates a link for the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#generate_link/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.generate_link/2","doc":"* `client` - The `Supabase` client to use for the request.\n  * `attrs` - The attributes to use for the link. See `Supabase.GoTrue.Schemas.GenerateLink` for more information.","ref":"Supabase.GoTrue.Admin.html#generate_link/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.generate_link/2","doc":"iex> Supabase.GoTrue.Admin.generate_link(pid | client_name, %{})","ref":"Supabase.GoTrue.Admin.html#generate_link/2-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.get_user_by_id/2","doc":"Gets a user by ID in the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#get_user_by_id/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.get_user_by_id/2","doc":"* `client` - The `Supabase` client to use for the request.\n  * `user_id` - The ID of the user to get.","ref":"Supabase.GoTrue.Admin.html#get_user_by_id/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.get_user_by_id/2","doc":"iex> Supabase.GoTrue.Admin.get_user_by_id(pid | client_name, \"user_id\")","ref":"Supabase.GoTrue.Admin.html#get_user_by_id/2-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.invite_user_by_email/3","doc":"Invites a user to the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#invite_user_by_email/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.invite_user_by_email/3","doc":"* `client` - The `Supabase` client to use for the request.\n  * `email` - The email of the user to invite.\n  * `options` - The options to use for the invite. See `Supabase.GoTrue.Schemas.InviteUserParams` for more information.","ref":"Supabase.GoTrue.Admin.html#invite_user_by_email/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.invite_user_by_email/3","doc":"iex> Supabase.GoTrue.Admin.invite_user_by_email(pid | client_name, \"john@example.com\", %{})","ref":"Supabase.GoTrue.Admin.html#invite_user_by_email/3-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.list_users/2","doc":"Lists users in the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#list_users/2"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.list_users/2","doc":"* `client` - The `Supabase` client to use for the request.\n  * `params` - The parameters to use for the list. See `Supabase.GoTrue.Schemas.PaginationParams` for more information.","ref":"Supabase.GoTrue.Admin.html#list_users/2-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.list_users/2","doc":"iex> Supabase.GoTrue.Admin.list_users(pid | client_name, %{})","ref":"Supabase.GoTrue.Admin.html#list_users/2-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.sign_out/3","doc":"Signs out a user from the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#sign_out/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.sign_out/3","doc":"* `client` - The `Supabase` client to use for the request.\n  * `session` - The session to sign out, often retrieved from a sign in function.\n  * `scope` - The scope to sign out the user from. Can be one of `global`, `local`, or `others`.","ref":"Supabase.GoTrue.Admin.html#sign_out/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.sign_out/3","doc":"iex> session = %Session{access_token: \"access_token\"}\n    iex> Supabase.GoTrue.Admin.sign_out(pid | client_name, session, \"global\")","ref":"Supabase.GoTrue.Admin.html#sign_out/3-examples"},{"type":"function","title":"Supabase.GoTrue.Admin.update_user_by_id/3","doc":"Updates a user in the GoTrue admin API.","ref":"Supabase.GoTrue.Admin.html#update_user_by_id/3"},{"type":"function","title":"Parameters - Supabase.GoTrue.Admin.update_user_by_id/3","doc":"* `client` - The `Supabase` client to use for the request.\n  * `user_id` - The ID of the user to update.\n  * `attrs` - The attributes to use for the user. See `Supabase.GoTrue.Schemas.AdminUserParams` for more information.","ref":"Supabase.GoTrue.Admin.html#update_user_by_id/3-parameters"},{"type":"function","title":"Examples - Supabase.GoTrue.Admin.update_user_by_id/3","doc":"iex> Supabase.GoTrue.Admin.update_user(pid | client_name, \"user_id\", %{})","ref":"Supabase.GoTrue.Admin.html#update_user_by_id/3-examples"},{"type":"module","title":"Supabase.GoTrue.Auth","doc":"This module contains the authentication logic for Supabase GoTrue.","ref":"Supabase.GoTrue.Auth.html"},{"type":"function","title":"Supabase.GoTrue.Auth.parse/2","doc":"","ref":"Supabase.GoTrue.Auth.html#parse/2"},{"type":"function","title":"Supabase.GoTrue.Auth.parse_mfa/1","doc":"","ref":"Supabase.GoTrue.Auth.html#parse_mfa/1"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA","doc":"","ref":"Supabase.GoTrue.Auth.MFA.html"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA.Challenge","doc":"","ref":"Supabase.GoTrue.Auth.MFA.Challenge.html"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA.ChallengeAndVerify","doc":"","ref":"Supabase.GoTrue.Auth.MFA.ChallengeAndVerify.html"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA.Enroll","doc":"","ref":"Supabase.GoTrue.Auth.MFA.Enroll.html"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA.UnEnroll","doc":"","ref":"Supabase.GoTrue.Auth.MFA.UnEnroll.html"},{"type":"module","title":"Supabase.GoTrue.Auth.MFA.Verify","doc":"","ref":"Supabase.GoTrue.Auth.MFA.Verify.html"},{"type":"module","title":"Supabase.GoTrue.Auth.NetWorkFailure","doc":"","ref":"Supabase.GoTrue.Auth.NetWorkFailure.html"},{"type":"module","title":"Supabase.GoTrue.LiveView","doc":"Provides LiveView integrations for the Supabase GoTrue authentication in Elixir applications.\n\nThis module enables the seamless integration of authentication flows within Phoenix LiveView applications by leveraging the Supabase GoTrue SDK. It supports operations such as mounting current users, handling authenticated and unauthenticated states, and logging out users.","ref":"Supabase.GoTrue.LiveView.html"},{"type":"module","title":"Configuration - Supabase.GoTrue.LiveView","doc":"The module requires some application environment variables to be set:\n- `authentication_client`: The Supabase client used for authentication.\n- `endpoint`: Your web app endpoint, used internally for broadcasting user disconnection events.\n- `signed_in_path`: The route to where socket should be redirected to after authentication\n- `not_authenticated_path: The route to where socket should be redirect to if user isn't authenticated","ref":"Supabase.GoTrue.LiveView.html#module-configuration"},{"type":"module","title":"Usage - Supabase.GoTrue.LiveView","doc":"Typically, you need to define a module to be your LiveView Authentication entrypoint and use this module to inject the necessary functions that you will use on your `MyAppWeb.Router`, to handle user authentication states through a series of `on_mount` callbacks, which ensure that user authentication logic is processed during the LiveView lifecycle.\n\nCheck `on_mount/4` for more detailed usage instructions on LiveViews","ref":"Supabase.GoTrue.LiveView.html#module-usage"},{"type":"module","title":"Example - Supabase.GoTrue.LiveView","doc":"defmodule MyAppWeb.Auth do\n      use Supabase.GoTrue.LiveView,\n        endpoint: MyAppWeb.Endpoint,\n        client: MyApp.Supabase.Client,\n        signed_in_path: \"/app\",\n        not_authenticated_path: \"/login\"\n    end","ref":"Supabase.GoTrue.LiveView.html#module-example"},{"type":"module","title":"Supabase.GoTrue.PKCE","doc":"This module is used to generate PKCE (Proof Key for Code Exchange) values.","ref":"Supabase.GoTrue.PKCE.html"},{"type":"function","title":"Supabase.GoTrue.PKCE.generate_challenge/1","doc":"","ref":"Supabase.GoTrue.PKCE.html#generate_challenge/1"},{"type":"function","title":"Supabase.GoTrue.PKCE.generate_verifier/0","doc":"","ref":"Supabase.GoTrue.PKCE.html#generate_verifier/0"},{"type":"module","title":"Supabase.GoTrue.Plug","doc":"Provides Plug-based authentication support for the Supabase GoTrue authentication in Elixir applications.\n\nThis module offers a series of functions to manage user authentication through HTTP requests in Phoenix applications. It facilitates operations like logging in with a password, logging out users, fetching the current user from a session, and handling route protections based on authentication state.","ref":"Supabase.GoTrue.Plug.html"},{"type":"module","title":"Configuration - Supabase.GoTrue.Plug","doc":"The module requires some application environment variables to be set:\n- `authentication_client`: The Supabase client used for authentication.\n- `endpoint`: Your web app endpoint, used internally for broadcasting user disconnection events.\n- `signed_in_path`: The route to where socket should be redirected to after authentication\n- `not_authenticated_path: The route to where socket should be redirect to if user isn't authenticated","ref":"Supabase.GoTrue.Plug.html#module-configuration"},{"type":"module","title":"Usage - Supabase.GoTrue.Plug","doc":"Typically, you need to define a module to be your Plug Authentication entrypoint and use this module to inject the necessary functions that you will use on your `MyAppWeb.Router`.","ref":"Supabase.GoTrue.Plug.html#module-usage"},{"type":"module","title":"Supabase.GoTrue.Schemas.AdminUserParams","doc":"Admin user params schema. This schema is used to validate and parse the parameters for creating a new admin user.","ref":"Supabase.GoTrue.Schemas.AdminUserParams.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.AdminUserParams","doc":"* `app_metadata` - The metadata to associate with the user.\n  * `email_confirm` - Whether the user's email is confirmed.\n  * `phone_confirm` - Whether the user's phone is confirmed.\n  * `ban_duration` - The duration of the user's ban.\n  * `role` - The user's role.\n  * `email` - The user's email.\n  * `phone` - The user's phone.\n  * `password` - The user's password.\n  * `nonce` - The user's nonce.","ref":"Supabase.GoTrue.Schemas.AdminUserParams.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.AdminUserParams.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.AdminUserParams.html#parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.AdminUserParams.parse_update/1","doc":"","ref":"Supabase.GoTrue.Schemas.AdminUserParams.html#parse_update/1"},{"type":"module","title":"Supabase.GoTrue.Schemas.GenerateLink","doc":"This module is responsible for generating links for different actions.","ref":"Supabase.GoTrue.Schemas.GenerateLink.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.GenerateLink","doc":"* `action_link` - The link to the action.\n  * `email_otp` - The email one-time password.\n  * `hashed_token` - The hashed token.\n  * `redirect_to` - The redirect URL.\n  * `verification_type` - The type of verification.\n    - `signup`\n    - `invite`\n    - `magicLink`\n    - `recovery`\n    - `email_change_current`\n    - `email_change_new`\n  * `options` - The options for the link.\n    - `data` - The data for the link.\n    - `redirect_to` - The redirect URL.","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.email_change_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#email_change_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.invite_or_magic_link_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#invite_or_magic_link_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.properties/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#properties/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.recovery_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#recovery_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.GenerateLink.sign_up_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.GenerateLink.html#sign_up_params/1"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.InviteUserParams","doc":"This schema is used to validate and parse the parameters for inviting a new user.","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.InviteUserParams","doc":"* `data` - The data for the link.\n  * `redirect_to` - The redirect URL.","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#module-fields"},{"type":"callback","title":"Supabase.GoTrue.Schemas.InviteUserParams.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.InviteUserParams.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.InviteUserParams.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#c:parse/1"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.InviteUserParams.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.InviteUserParams.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.InviteUserParams.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.Schemas.PaginationParams","doc":"This schema is used to validate and parse the parameters for pagination.","ref":"Supabase.GoTrue.Schemas.PaginationParams.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.PaginationParams","doc":"* `page` - The current page.\n  * `per_page` - The number of items per page.","ref":"Supabase.GoTrue.Schemas.PaginationParams.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.PaginationParams.page_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.PaginationParams.html#page_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.PaginationParams.pagination/1","doc":"","ref":"Supabase.GoTrue.Schemas.PaginationParams.html#pagination/1"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInRequest","doc":"This schema is used to validate and parse the parameters for signing in a user.","ref":"Supabase.GoTrue.Schemas.SignInRequest.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.SignInRequest","doc":"Fields depends on the sign in method, so check their modules to\nsee the available fields.\n- Sign in with ID Token: `Supabase.GoTrue.Schemas.SignInWithIdToken`\n- Sign in with OTP: `Supabase.GoTrue.Schemas.SignInWithOTP`\n- Sign in with Password: `Supabase.GoTrue.Schemas.SignInWithPassword`\n- Sign in with SSO: `Supabase.GoTrue.Schemas.SignInWithSSO`","ref":"Supabase.GoTrue.Schemas.SignInRequest.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInRequest.create/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInRequest.html#create/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInRequest.create/3","doc":"","ref":"Supabase.GoTrue.Schemas.SignInRequest.html#create/3"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInRequest.GoTrueMetaSecurity","doc":"","ref":"Supabase.GoTrue.Schemas.SignInRequest.GoTrueMetaSecurity.html"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.SignInWithIdToken","doc":"This schema is used to validate and parse the parameters for signing in with an ID token.","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.SignInWithIdToken","doc":"* `provider` - The provider.\n  * `token` - The token.\n  * `access_token` - The access token.\n  * `nonce` - The nonce.\n  * `options` - The options.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#module-fields"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#c:parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.to_sign_in_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#to_sign_in_params/1"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithIdToken.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithIdToken.Options.html"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.SignInWithOTP","doc":"This schema is used to validate and parse the parameters for signing in with OTP.","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.SignInWithOTP","doc":"* `email` - The user's email.\n  * `phone` - The user's phone.\n  * `options` - The options for signing in with OTP.\n    - `data` - The data for the sign in.\n    - `email_redirect_to` - The redirect URL for the email.\n    - `captcha_token` - The captcha token.\n    - `channel` - The channel for the OTP.","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#module-fields"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithOTP.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithOTP.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithOTP.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#c:parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithOTP.to_sign_in_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#to_sign_in_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithOTP.to_sign_in_params/3","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#to_sign_in_params/3"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.SignInWithOTP.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithOTP.options/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#t:options/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithOTP.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithOTP.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOTP.Options.html"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.SignInWithOauth","doc":"This schema is used to validate and parse the parameters for signing in with OAuth.","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.SignInWithOauth","doc":"* `provider` - The provider.\n  * `options` - The options.\n    - `redirect_to` - The redirect URL.\n    - `scopes` - The scopes.\n    - `query_params` - The query parameters.\n    - `skip_browser_redirect` - Whether to skip the browser redirect.","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#module-fields"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithOauth.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithOauth.options_to_query/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#options_to_query/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithOauth.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithOauth.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#c:parse/1"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.SignInWithOauth.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithOauth.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithOauth.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithOauth.Options.html"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithPassword","doc":"This schema is used to validate and parse the parameters for signing in with a password.","ref":"Supabase.GoTrue.Schemas.SignInWithPassword.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.SignInWithPassword","doc":"* `email` - The user's email.\n  * `phone` - The user's phone.\n  * `password` - The user's password.\n  * `options` - The options for the sign in.\n    - `data` - The data for the sign in.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.SignInWithPassword.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithPassword.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithPassword.html#parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithPassword.to_sign_in_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithPassword.html#to_sign_in_params/1"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithPassword.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithPassword.Options.html"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.SignInWithSSO","doc":"This schema is used to validate and parse the parameters for signing in with SSO.","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.SignInWithSSO","doc":"* `provider_id` - The provider ID.\n  * `domain` - The domain.\n  * `options` - The options.\n    - `redirect_to` - The redirect URL.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#module-fields"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithSSO.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithSSO.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.SignInWithSSO.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#c:parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithSSO.to_sign_in_params/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#to_sign_in_params/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignInWithSSO.to_sign_in_params/3","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#to_sign_in_params/3"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.SignInWithSSO.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithSSO.options/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#t:options/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.SignInWithSSO.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignInWithSSO.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignInWithSSO.Options.html"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignUpRequest","doc":"This schema is used to validate and parse the parameters for signing up a new user.","ref":"Supabase.GoTrue.Schemas.SignUpRequest.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.SignUpRequest","doc":"* `email` - The user's email.\n  * `phone` - The user's phone.\n  * `password` - The user's password.\n  * `data` - The user's data.\n  * `code_challenge` - The user's code challenge.\n  * `code_challenge_method` - The user's code challenge method.\n  * `gotrue_meta_security` - The user's gotrue meta security.\n    - `captcha_token` - The user's captcha token.","ref":"Supabase.GoTrue.Schemas.SignUpRequest.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignUpRequest.changeset/3","doc":"","ref":"Supabase.GoTrue.Schemas.SignUpRequest.html#changeset/3"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignUpRequest.create/1","doc":"","ref":"Supabase.GoTrue.Schemas.SignUpRequest.html#create/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.SignUpRequest.create/3","doc":"","ref":"Supabase.GoTrue.Schemas.SignUpRequest.html#create/3"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignUpRequest.GoTrueMetaSecurity","doc":"","ref":"Supabase.GoTrue.Schemas.SignUpRequest.GoTrueMetaSecurity.html"},{"type":"module","title":"Supabase.GoTrue.Schemas.SignUpWithPassword.Options","doc":"","ref":"Supabase.GoTrue.Schemas.SignUpWithPassword.Options.html"},{"type":"module","title":"Supabase.GoTrue.Schemas.UserParams","doc":"Uuser params schema. This schema is used to validate and parse the parameters for creating a new admin user.","ref":"Supabase.GoTrue.Schemas.UserParams.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Schemas.UserParams","doc":"* `data` - The metadata to associate with the user.\n  * `email` - The user's email.\n  * `phone` - The user's phone.\n  * `password` - The user's password.\n  * `nonce` - The user's nonce.\n  * `email_redirect_to` - The user's nonce.","ref":"Supabase.GoTrue.Schemas.UserParams.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Schemas.UserParams.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.UserParams.html#parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.UserParams.parse_update/1","doc":"","ref":"Supabase.GoTrue.Schemas.UserParams.html#parse_update/1"},{"type":"behaviour","title":"Supabase.GoTrue.Schemas.VerifyOTP","doc":"This schema is used to validate and parse the parameters for verifying an OTP.","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html"},{"type":"behaviour","title":"Fields - Supabase.GoTrue.Schemas.VerifyOTP","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#module-fields"},{"type":"behaviour","title":"Mobile OTP - Supabase.GoTrue.Schemas.VerifyOTP","doc":"* `phone` - The user's phone number.\n  * `token` - The OTP token.\n  * `type` - The type of OTP.\n  * `options` - The options for the OTP.\n    - `redirect_to` - The redirect URL.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#module-mobile-otp"},{"type":"behaviour","title":"Email OTP - Supabase.GoTrue.Schemas.VerifyOTP","doc":"* `email` - The user's email.\n  * `token` - The OTP token.\n  * `type` - The type of OTP.\n  * `options` - The options for the OTP.\n    - `redirect_to` - The redirect URL.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#module-email-otp"},{"type":"behaviour","title":"Token Hash - Supabase.GoTrue.Schemas.VerifyOTP","doc":"* `token_hash` - The token hash.\n  * `type` - The type of OTP.\n  * `options` - The options for the OTP.\n    - `redirect_to` - The redirect URL.\n    - `captcha_token` - The captcha token.","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#module-token-hash"},{"type":"callback","title":"Supabase.GoTrue.Schemas.VerifyOTP.changeset/2","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#c:changeset/2"},{"type":"function","title":"Supabase.GoTrue.Schemas.VerifyOTP.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#parse/1"},{"type":"callback","title":"Supabase.GoTrue.Schemas.VerifyOTP.parse/1","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#c:parse/1"},{"type":"function","title":"Supabase.GoTrue.Schemas.VerifyOTP.to_request/1","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#to_request/1"},{"type":"opaque","title":"Supabase.GoTrue.Schemas.VerifyOTP.changeset/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:changeset/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.VerifyOTP.email/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:email/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.VerifyOTP.mobile/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:mobile/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.VerifyOTP.options/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:options/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.VerifyOTP.t/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:t/0"},{"type":"type","title":"Supabase.GoTrue.Schemas.VerifyOTP.token_hash/0","doc":"","ref":"Supabase.GoTrue.Schemas.VerifyOTP.html#t:token_hash/0"},{"type":"module","title":"Supabase.GoTrue.Session","doc":"This schema is used to validate and parse the parameters for a session.","ref":"Supabase.GoTrue.Session.html"},{"type":"module","title":"Fields - Supabase.GoTrue.Session","doc":"* `provider_token` - The provider token.\n  * `provider_refresh_token` - The provider refresh token.\n  * `access_token` - The access token.\n  * `refresh_token` - The refresh token.\n  * `expires_in` - The expiration time.\n  * `expires_at` - The expiration date.\n  * `token_type` - The token type.\n  * `user` - The user. Check the `Supabase.GoTrue.User` schema for more information.","ref":"Supabase.GoTrue.Session.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.Session.parse/1","doc":"","ref":"Supabase.GoTrue.Session.html#parse/1"},{"type":"type","title":"Supabase.GoTrue.Session.t/0","doc":"","ref":"Supabase.GoTrue.Session.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.User","doc":"This schema is used to validate and parse the parameters for a user.","ref":"Supabase.GoTrue.User.html"},{"type":"module","title":"Fields - Supabase.GoTrue.User","doc":"* `id` - The user's ID.\n  * `app_metadata` - The metadata to associate with the user.\n  * `user_metadata` - The user's metadata.\n  * `aud` - The user's audience.\n  * `confirmation_sent_at` - The time the confirmation was sent.\n  * `recovery_sent_at` - The time the recovery was sent.\n  * `email_change_sent_at` - The time the email change was sent.\n  * `new_email` - The new email.\n  * `new_phone` - The new phone.\n  * `invited_at` - The time the user was invited.\n  * `action_link` - The action link.\n  * `email` - The user's email.\n  * `phone` - The user's phone.\n  * `created_at` - The time the user was created.\n  * `confirmed_at` - The time the user was confirmed.\n  * `email_confirmed_at` - The time the email was confirmed.\n  * `phone_confirmed_at` - The time the phone was confirmed.\n  * `last_sign_in_at` - The time the user last signed in.\n  * `last_sign_in_ip` - The user's last sign-in IP.\n  * `current_sign_in_at` - The time the user last signed in.\n  * `current_sign_in_ip` - The user's current sign-in IP.\n  * `sign_in_count` - The number of times the user has signed in.\n  * `factors` - The user's factors. Check the `Supabase.GoTrue.User.Factor` schema for more information.\n  * `identities` - The user's identities. Check the `Supabase.GoTrue.User.Identity` schema for more information.","ref":"Supabase.GoTrue.User.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.User.changeset/2","doc":"","ref":"Supabase.GoTrue.User.html#changeset/2"},{"type":"function","title":"Supabase.GoTrue.User.multiple_changeset/2","doc":"","ref":"Supabase.GoTrue.User.html#multiple_changeset/2"},{"type":"function","title":"Supabase.GoTrue.User.parse/1","doc":"","ref":"Supabase.GoTrue.User.html#parse/1"},{"type":"function","title":"Supabase.GoTrue.User.parse_list/1","doc":"","ref":"Supabase.GoTrue.User.html#parse_list/1"},{"type":"type","title":"Supabase.GoTrue.User.t/0","doc":"","ref":"Supabase.GoTrue.User.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.User.Factor","doc":"This schema is used to validate and parse the parameters for a user factor.","ref":"Supabase.GoTrue.User.Factor.html"},{"type":"module","title":"Fields - Supabase.GoTrue.User.Factor","doc":"* `friendly_name` - The friendly name of the factor.\n  * `factor_type` - The type of factor.\n  * `status` - The status of the factor.\n  * `created_at` - The creation date of the factor.\n  * `updated_at` - The last update date of the factor.\n  * `id` - The factor's ID.","ref":"Supabase.GoTrue.User.Factor.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.User.Factor.changeset/2","doc":"","ref":"Supabase.GoTrue.User.Factor.html#changeset/2"},{"type":"type","title":"Supabase.GoTrue.User.Factor.t/0","doc":"","ref":"Supabase.GoTrue.User.Factor.html#t:t/0"},{"type":"module","title":"Supabase.GoTrue.User.Identity","doc":"This schema is used to validate and parse the identity of a user.","ref":"Supabase.GoTrue.User.Identity.html"},{"type":"module","title":"Fields - Supabase.GoTrue.User.Identity","doc":"* `id` - The user's ID.\n  * `user_id` - The user's ID.\n  * `provider` - The user's provider.\n  * `created_at` - The user's creation date.\n  * `updated_at` - The user's last update date.\n  * `identity_data` - The user's identity data.\n  * `last_sign_in_at` - The user's last sign-in date.","ref":"Supabase.GoTrue.User.Identity.html#module-fields"},{"type":"function","title":"Supabase.GoTrue.User.Identity.changeset/2","doc":"","ref":"Supabase.GoTrue.User.Identity.html#changeset/2"},{"type":"function","title":"Supabase.GoTrue.User.Identity.providers/0","doc":"","ref":"Supabase.GoTrue.User.Identity.html#providers/0"},{"type":"type","title":"Supabase.GoTrue.User.Identity.providers/0","doc":"","ref":"Supabase.GoTrue.User.Identity.html#t:providers/0"},{"type":"type","title":"Supabase.GoTrue.User.Identity.t/0","doc":"","ref":"Supabase.GoTrue.User.Identity.html#t:t/0"},{"type":"exception","title":"Supabase.GoTrue.MissingConfig","doc":"","ref":"Supabase.GoTrue.MissingConfig.html"},{"type":"function","title":"Supabase.GoTrue.MissingConfig.ensure_opts!/2","doc":"","ref":"Supabase.GoTrue.MissingConfig.html#ensure_opts!/2"},{"type":"extras","title":"Supabase GoTrue","doc":"# Supabase GoTrue\n\n[Auth](https://supabase.com/docs/guides/auth) implementation for the [Supabase Potion](https://hexdocs.pm/supabase_potion) SDK in Elixir.","ref":"readme.html"},{"type":"extras","title":"Installation - Supabase GoTrue","doc":"```elixir\ndef deps do\n  [\n    {:supabase_potion, \"~> 0.5\"},\n    {:supabase_gotrue, \"~> 0.3\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Supabase GoTrue","doc":"Firstly you need to initialize your Supabase client(s) as can be found on the [Supabase Potion documentation](https://hexdocs.pm/supabase_potion/readme.html#usage).\n\nNow you can pass the Client to the `Supabase.GoTrue` functions:\n\n```elixir\niex> Supabase.GoTrue.sign_in_with_password(client, %{} = params)\n```\n\n> Note that this example consider that you already have a `client` variable with the Supabase client.\n\n> Note that this example consider that you al already configured the `Supabase.GoTrue` module in your configuration file. As mentioned in the [next section](#configuration).\n\nThis implementation also exposes an `Supabase.GoTrue.Admin` function to interact with users with super powers:\n```elixir\niex> Supabase.GoTrue.Admin.create_user(client, %{} = params)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Examples - Supabase GoTrue","doc":"There are sample apps in the `examples` directory that demonstrate how to use the `Supabase.GoTrue` module in your application.\n\nCheck the [Supabase Potion examples showcase](https://github.com/zoedsoupe/supabase-ex?tab=readme-ov-file#examples)!","ref":"readme.html#examples"},{"type":"extras","title":"Configuration - Supabase GoTrue","doc":"You can configure the `Supabase.GoTrue` module in your `config.exs` file:\n\n```elixir\nimport Config\n\nconfig :supabase_gotrue, auth_module: MyAppWeb.Auth\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Available authentication methods - Supabase GoTrue","doc":"- [Sign in with ID Token](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_with_id_token/2)\n- [Sign in with email and password](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_with_password/2)\n- [Sign in with Oauth](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_with_oauth/2)\n- [Sign in with OTP](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_with_otp/2)\n- [Sign in with SSO](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_with_sso/2)\n- [Anonymous Sign in](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_in_anonymously/1)\n- [Sign up with email and password](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.html#sign_up/2)","ref":"readme.html#available-authentication-methods"},{"type":"extras","title":"Plug based applications (or Phoenix \"dead views\") - Supabase GoTrue","doc":"`Supabase.GoTrue.Plug` provides Plug-based authentication support for the `Supabase GoTrue` authentication in Elixir applications.\n\nThe module offers a series of functions to manage user authentication through HTTP requests in Phoenix applications with **\"dead views\"** or plain Plug based application. It facilitates operations like signing-in, signing-out, fetch the current user, and more.\n\nTo use the `Supabase.GoTrue.Plug` module, you need first to define a module that will handle the authentication in your application:\n\n```elixir\ndefmodule MyAppWeb.Auth do\n  use Supabase.GoTrue.Plug,\n    client: MyApp.Supabase.Client,\n    endpoint: MyAppWeb.Endpoint, # required if using Phoenix based applications\n    signed_in_path: \"/app\", # required\n    not_authenticated_path: \"/login\", # required\n    session_cookie: \"my_app_session\", # optional\n    # optional\n    session_cookie_options: [\n      http_only: true,\n      secure: true,\n      same_site: :lax,\n      max_age: 86_400\n    ]\nend\n```\n\n> [!WARNING]\n> The `client` options must be a module that implements the `Supabase.Client.Behaviour` behaviour.\n> It should be a [Self Managed Client](https://github.com/zoedsoupe/supabase-ex?tab=readme-ov-file#self-managed-clients) but it can be a [One off Client](https://github.com/zoedsoupe/supabase-ex?tab=readme-ov-file#one-off-clients) if you correctly manage the client state on your application.\n\nSo, considering that you have something like this on your `config.exs`:\n\n```elixir\nconfig :my_app, MyApp.Supabase.Client,\n  base_url: \"https://myapp.supabase.co\",\n  api_key: \"myapp-api-key\"\n```\n\nAnd you have already defined your self managed client module:\n\n```elixir\n# lib/my_app/supabase/client.ex\ndefmodule MyApp.Supabase.Client do\n  use Supabase.Client, otp_app: :my_app\nend\n```\n\nThen you can use the `Supabase.GoTrue.Plug` module! The module define a series of plugs that you can use in your router:\n\n```elixir\nimport MyAppWeb.Auth\n\nplug :fetch_current_user # this plug will fetch the current user and assign it to the `conn.assigns[:current_user]`\nplug :redirect_if_user_is_authenticated # this plug will redirect to the `signed_in_path` if the user is authenticated\nplug :require_authenticated_user # this plug will redirect to the `not_authenticated_path` if the user is not authenticated\n```\n\nFor example, in your Phoenix router you can use your defined authentication handler module like this:\n\n```elixir\ndefmodule MyAppWeb.Router do\n  use MyAppWeb, :router\n\n  import MyAppWeb.Auth\n\n  pipeline :browser do\n    # rest of plugs\n    plug :fetch_current_user\n  end\n\n  # if a user is already authenticted, redirect to the signed_in_path\n  # already authenticated users will not be able to access this scope\n  scope \"/\", MyAppWeb do\n    pipe_through [:browser, :redirect_if_user_is_authenticated]\n\n    get \"/login\", LoginController, :show\n    post \"/login\", LoginController, :create\n  end\n\n  # if a user is not authenticated, redirect to the not_authenticated_path\n  # not authenticated users will not be able to access this scope\n  scope \"/app\", MyAppWeb do\n    pipe_through [:browser, :require_authenticated_user]\n\n    get \"/\", AppController, :index\n  end\nend\n```\n\nAlso, `Supabase.GoTrue.Plug` provides a series of helper functions that you can use in your login/auth controllers, so with your defined module you can use like this:\n\n```elixir\ndefmodule MyApp.LoginController do\n  use MyAppWeb, :controller\n\n  import MyAppWeb.Auth\n\n  def show(conn, _params) do\n    render(conn, \"login.html\")\n  end\n\n  def create(conn, %{\"email\" => email, \"password\" => password}) do\n    case log_in_with_password(conn, %{\"email\" => email, \"password\" => password}) do\n      {:ok, updated_conn} ->\n        # here the `updated_conn` will contain the access token\n        # and also will redirect to the `signed_in_path`\n        put_flash(updated_conn, :info, \"You have successfully signed in!\")\n\n      # this clause means that the user provided invalid credentials\n      # so we will render the login form again with an error message\n      {:error, _reason} ->\n        conn\n        |> put_flash(:error, \"Invalid email or password\")\n        |> render(\"login.html\")\n    end\n  end\nend\n```\n\nThe `log_in_with_password/2` exposed by the `Supabase.GoTrue.Plug` module is one of the various ways that you can start a session with the `Supabase GoTrue` authentication service.\n\nFor more ways to authenticate users, please refer to the [Supabase.GoTrue module documentation](https://hexdocs.pm/supabase_gotrue/Supabase.GoTrue.htm) and  the [official Supabase documentation](https://supabase.io/docs/gotrue).\n\nIf you're new to the `Plug` library, you can learn more about it in the [official documentation](https://hexdocs.pm/plug).\n\nAlso if you're new to the [Phoenix framework](https://phoenixframework.org), you can learn more about it in the [official getting started section](https://hexdocs.pm/phoenix/directory_structure.html).","ref":"readme.html#plug-based-applications-or-phoenix-dead-views"},{"type":"extras","title":"Phoenix LiveView applications - Supabase GoTrue","doc":"Similar to the `Supabase.GoTrue.Plug` module, the `Supabase.GoTrue.LiveView` module provides LiveView-based authentication support for the `Supabase GoTrue` authentication in Elixir applications.\n\n`Supabase.GoTrue.LiveView` defines Server Hooks that you can use in your LiveView modules to manage user authentication through WebSocket connections in Phoenix LiveView applications. These hooks are meant to be used as [on-mount](https://hexdocs.pm/phoenix_live_view/Phoenix.LiveView.html#on_mount/1) callbacks in your LiveView modules or [live_session/3](https://hexdocs.pm/phoenix_live_view/Phoenix.LiveView.Router.html#live_session/3) definitions on your router.\n\nTo use the `Supabase.GoTrue.LiveView` module, you need first to define a module that will handle the authentication in your application:\n\n```elixir\ndefmodule MyAppWeb.Auth do\n  use Supabase.GoTrue.LiveView,\n    client: MyApp.Supabase.Client, # required\n    endpoint: MyAppWeb.Endpoint, # required\n    signed_in_path: \"/app\", # required\n    not_authenticated_path: \"/login\" # required\nend\n```\n\n> [!WARNING]\n> The `client` options must be a module that implements the `Supabase.Client.Behaviour` behaviour.\n> It should be a [Self Managed Client](https://github.com/zoedsoupe/supabase-ex?tab=readme-ov-file#self-managed-clients) but it can be a [One off Client](https://github.com/zoedsoupe/supabase-ex?tab=readme-ov-file#one-off-clients) if you correctly manage the client state on your application.\n\nSo, considering that you have something like this on your `config.exs`:\n\n```elixir\nconfig :my_app, MyApp.Supabase.Client,\n  base_url: \"https://myapp.supabase.co\",\n  api_key: \"myapp-api-key\"\n```\n\nAnd you have already defined your self managed client module:\n\n```elixir\n# lib/my_app/supabase/client.ex\ndefmodule MyApp.Supabase.Client do\n  use Supabase.Client, otp_app: :my_app\nend\n```\n\nThen in your LiveView module, you can use the module that you defined like this:\n\n```elixir\ndefmodule MyAppWeb.UserLive do\n  use MyAppWeb, :live_view\n\n  on_mount {MyAppWeb.Auth, :mount_current_user}\n  on_mount {MyAppWeb.Auth, :ensure_authenticated}\n\n  def mount(_params, _session, socket) do\n    # here you will have the `socket.assigns[:current_user]` available\n    # and if the user is not authenticated, the user will be redirected to the `not_authenticated_path`\n    {:ok, socket}\n  end\nend\n```\n\nThe usage with the `live_session/3` definition is similar. In your router:\n\n```elixir\ndefmodule MyAppWeb.Router do\n  use MyAppWeb, :router\n\n  scope \"/app\", MyAppWeb do\n    live_session :authenticated,\n      on_mount: [\n        {MyAppWeb.Auth, :mount_current_user},\n        {MyAppWeb.Auth, :ensure_authenticated}\n      ] do\n      live \"/user\", UserLive\n    end\n  end\nend\n```\n\nIf you're new to Phoenix LiveView, you can learn more about it in the [official documentation](https://hexdocs.pm/phoenix_live_view).","ref":"readme.html#phoenix-liveview-applications"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}